#!/bin/sh
# Copyright (c) 2019 Synology Inc. All rights reserved.

SYNOMIB_PKG_NAME="Syno.ActiveInsight"
SYNOMIB_PKG_VERSION="1.0"
SYNOMIB_PKG_VENDOR="Synology Inc."
SYNOMIB_PKG_MODVER="1.0"

SYNOMIBTOOL_BINARY="/usr/syno/bin/synomibtool"

case $1 in
	--sdk-mod-ver)
		/bin/echo "${SYNOMIB_PKG_MODVER}"
	;;
	--name)
		/bin/echo "${SYNOMIB_PKG_NAME}"
	;;
	--pkg-ver)
		/bin/echo "${SYNOMIB_PKG_VERSION}"
	;;
	--vendor)
		/bin/echo "${SYNOMIB_PKG_VENDOR}"
	;;
	--pre)
		/bin/logger -p user.warn -t synoactiveinsight "[SHA Unbind Prehook] Active Insight re-register is required after unbinding."
		if [ -x "${SYNOMIBTOOL_BINARY}" ]; then
			"${SYNOMIBTOOL_BINARY}" --sha-unbind-prehook
		fi
	;;
	*)
		/bin/echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre"
	;;
esac

exit 0
